Skip to main content
POST
/
vacancies
Create job
curl --request POST \
  --url https://api.gospott.com/vacancies \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "stageId": "<string>",
  "salaryRange": {
    "currency": "USD",
    "min": 123,
    "max": 123
  },
  "location": {
    "type": "primary_home",
    "street1": "<string>",
    "street2": "<string>",
    "postalCode": "<string>",
    "city": "<string>",
    "region": "<string>",
    "state": "<string>",
    "country": "<string>",
    "latitude": 123,
    "longitude": 123
  },
  "employmentType": "fullTime",
  "locationType": "remote",
  "startAt": "2023-11-07T05:31:56Z",
  "endAt": "2023-11-07T05:31:56Z",
  "teamUserIds": [
    "<string>"
  ],
  "clientContactIds": [
    "<string>"
  ],
  "targetCompanyId": "<string>",
  "dealValue": {
    "amount": 10000,
    "currency": "EUR"
  }
}
'
{
  "id": "<string>"
}

Authorizations

x-api-key
string
header
required

API key for authentication. Get your API key from Settings → API Keys in your Spott dashboard.

Query Parameters

companyId
string
required

ID of the company for which to create the job

Body

application/json
name
string
required

Title/name of the job position

description
string | null
required

Detailed description of the job position

stageId
string
required

ID of the initial pipeline stage for this job

salaryRange
object
required

Salary range for the job position

location
object
required

Physical location details for the job

employmentType
enum<string> | null
required

Type of employment contract

Available options:
fullTime,
partTime,
temporary,
internship
locationType
enum<string> | null
required

Work location arrangement

Available options:
remote,
hybrid,
onsite
startAt
string<date-time> | null
required

Expected start date for the job

endAt
string<date-time> | null
required

Expected end date for the job (for temporary positions)

teamUserIds
string[]
required

Array of user IDs assigned to the internal hiring team

clientContactIds
string[]
required

Array of company contact IDs involved in the hiring process

targetCompanyId
string | null
required

ID of the target company (must be a client in the tenant). Set to null to clear.

dealValue
object

Monetary value/fee associated with filling this job

Response

Job created successfully. Returns the job ID.

id
string
required